commit:     8cca1fd8ad5f310ac0b4c588b909232ae596d4aa
Author:     Matthew Brewer <tomboy64 <AT> sina <DOT> cn>
AuthorDate: Tue Oct 13 11:09:43 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Oct 13 11:09:43 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cca1fd8

dev-util/idea-ultimate: version bump for EAP

new preview version: 143.116.4

 dev-util/idea-ultimate/Manifest                    |  1 +
 .../idea-ultimate-15.0.0.143.116.4_pre.ebuild      | 73 ++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-util/idea-ultimate/Manifest b/dev-util/idea-ultimate/Manifest
index 5d7a3d8..daf68bd 100644
--- a/dev-util/idea-ultimate/Manifest
+++ b/dev-util/idea-ultimate/Manifest
@@ -1,2 +1,3 @@
 DIST idea-ultimate-14.1.5.141.2735.5.tar.gz 318054935 SHA256 
6912902ec97a57f5553247367d6dd5b8e3041e99faf32c48b672cd31413dab73 SHA512 
7ab3a45593c2324957455b254ae0257a36e8ecbc63014e18feba813413432dccb25d18971840f43cf22174c3338738eec44304091eb30c6ba2d0119b73cc6fa0
 WHIRLPOOL 
44a4bef99fdb638cf3cb0f24559b7765b7a4c7cb94aed5c3b8e503cbdf9fa1354f6d6026a9650fc58faec037b95482190891681f41219c61fc7d67a40e71f168
 DIST idea-ultimate-15.0.0.142.5239.7_pre.tar.gz 383822428 SHA256 
6f3d963e05e241c04d7bf71530dd71b45f398a5fb906545b4d8a5c432beca59a SHA512 
ef7788329b486c569cdf11ba4a9531463272e19b69f460f24d12c522cd7dd8bcd3465dc21a3ead70077adbb2af4e4adbdbf8ecedbe630c945c93667da2b5bb0e
 WHIRLPOOL 
3b81c379a8ab5d5610794af0295eecb110c9933833522eea5befeda5977b5001956da421c2383780434b6edfbb19fbd7cf95ff89ae86f83c7fe8df707b4ae481
+DIST idea-ultimate-15.0.0.143.116.4_pre.tar.gz 384442119 SHA256 
d26cba9242b70f68eb8b9f76320e3e23a0573207bf89a93718a9c688426b518b SHA512 
02b93c372ad1b35b74d59fba04984c0fb99399f670662c4fdac07e793b3e872830e1b0d56b505753343dd00483a14f551314e92c6bfb0e2d5ad0f5ef295fe8b9
 WHIRLPOOL 
c8d3b3900694721e3bc90950739a713881c2f11f5d0f0dc22158510afc8b7a61eb28e91944b6ec1d9f516a1b95faf1788adb8f576171c571223e51a205dbb794

diff --git a/dev-util/idea-ultimate/idea-ultimate-15.0.0.143.116.4_pre.ebuild 
b/dev-util/idea-ultimate/idea-ultimate-15.0.0.143.116.4_pre.ebuild
new file mode 100644
index 0000000..bed2a52
--- /dev/null
+++ b/dev-util/idea-ultimate/idea-ultimate-15.0.0.143.116.4_pre.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils versionator
+
+SLOT="0"
+PV_STRING="$(get_version_component_range 4-6)" # Always name EAP-versions with 
'_pre' for clarity!
+MY_PV="$(get_version_component_range 1-3)"
+MY_PN="idea"
+
+DESCRIPTION="A complete toolset for web, mobile and enterprise development"
+HOMEPAGE="http://www.jetbrains.com/idea";
+SRC_URI="https://download.jetbrains.com/idea/${MY_PN}IU-${PV_STRING}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="IDEA IDEA_Academic IDEA_Classroom IDEA_OpenSource IDEA_Personal"
+IUSE=""
+KEYWORDS="~amd64 ~x86" # No keywords for EAP versions. Code quality sucks.
+
+DEPEND="!dev-util/${PN}:14
+       !dev-util/${PN}:15"
+RDEPEND="${DEPEND}
+       >=virtual/jdk-1.7"
+S="${WORKDIR}/${MY_PN}-IU-${PV_STRING}"
+
+QA_TEXTRELS="opt/${PN}-${MY_PV}/bin/libbreakgen.so"
+QA_PRESTRIPPED="opt/${PN}-${MY_PV}/lib/libpty/linux/x86/libpty.so
+       opt/${PN}-${MY_PV}/lib/libpty/linux/x86_64/libpty.so
+       opt/${PN}-${MY_PV}/bin/libyjpagent-linux.so
+       opt/${PN}-${MY_PV}/bin/libyjpagent-linux64.so"
+
+src_prepare() {
+       if ! use amd64; then
+               rm -rf plugins/tfsIntegration/lib/native/linux/x86_64
+       fi
+       if ! use arm; then
+               rm bin/fsnotifier-arm
+               rm -rf plugins/tfsIntegration/lib/native/linux/arm
+       fi
+       if ! use ppc; then
+               rm -rf plugins/tfsIntegration/lib/native/linux/ppc
+       fi
+       if ! use x86; then
+               rm -rf plugins/tfsIntegration/lib/native/linux/x86
+       fi
+       rm -rf plugins/tfsIntegration/lib/native/solaris
+       rm -rf plugins/tfsIntegration/lib/native/hpux
+}
+
+src_install() {
+       local dir="/opt/${PN}-${MY_PV}"
+
+       insinto "${dir}"
+       doins -r *
+       fperms 755 "${dir}"/bin/{idea.sh,fsnotifier{,64}}
+
+       make_wrapper "${PN}" "${dir}/bin/${MY_PN}.sh"
+
+       # recommended by: 
https://confluence.jetbrains.com/display/IDEADEV/Inotify+Watches+Limit
+       mkdir -p "${D}/etc/sysctl.d/"
+       echo "fs.inotify.max_user_watches = 524288" > 
"${D}/etc/sysctl.d/30-idea-inotify-watches.conf"
+}
+
+pkg_postinst() {
+       if [[ "$(get_version_component_range 7)x" = "prex" ]]
+       then
+               ewarn "Be aware, this is a release from their EAP. According to 
JetBrains, the code"
+               ewarn "quality of such releases may be considerably below of 
what you might usually"
+               ewarn "be used to from beta releases."
+               ewarn "Don't use it for critical tasks. You have been warned."
+       fi
+}

Reply via email to